Bug 116601 - Feature request: support xy-chart for pivot chart (was: Pivot chart can't be time based)
Summary: Feature request: support xy-chart for pivot chart (was: Pivot chart can't be ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
5.4.6.2 release
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Pivot-Chart
  Show dependency treegraph
 
Reported: 2018-03-24 09:36 UTC by Philippe Hemmel
Modified: 2019-05-27 02:45 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
example spreadsheet (33.30 KB, application/vnd.oasis.opendocument.spreadsheet)
2018-03-24 09:36 UTC, Philippe Hemmel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe Hemmel 2018-03-24 09:36:30 UTC
Created attachment 140849 [details]
example spreadsheet

## Steps to reproduce

* create a table with 2 columns. The first column contains dates, its header is called "date""
* create a pivot table with the "date" column as row field, the second column as a column field
* create a pivot chart based on the pivot table, chart type "Line"

See the example document : web_error.ods

## Actual behaviour

* With a chart type Line, it's impossible to specify that the chart is time based (the X axis)
* With a chart type XY, the X axis shows numbers and not dates, and the numbers are related to the line number of each values in the pivot table

See the  sheet called "Table dynamique_php_error_1"

## Expected behaviour

The behavior must be the same as a normal chart based on a normal table (not a pivot table) containing the same values (see sheet3 in the attached document)

* With a chart type Line, I should be able to specify that the chart is time based (the X axis). 
	* the check box "time based" is in the second step of the chart wizard, "Data range", which is inactive for a pivot chart
* With a chart type XY, the X axis should show dates and should be time based

It's a kind of a regression, because before the pivot chart function, I was able to create a normal chart based on a pivot table that could have the expected behaviour. Obviously the chart was not linked to the pivot table, but it was easy to adapt.
It's more complicated now, as I have to copy all the data in another sheet to create the right chart.

## Desktop configuration

**Operating system:** Linux 4.13 (Kubuntu 17.10 Artful 64 bits)

Plasma 5.12.3 (kubuntu-ppa/backports)

**LibreOffice version:** 

Version: 5.4.6.2
Build ID: 1:5.4.6~rc2-0ubuntu0.17.10.1
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: kde4; 
Locale: fr-FR (fr_FR.UTF-8); Calc: single

Coming from http://ppa.launchpad.net/libreoffice/libreoffice-5-4/ubuntu
Comment 1 raal 2018-03-26 06:05:43 UTC
Confirm. X axis is type Numeric.
Version: 6.1.0.0.alpha0+
Build ID: 1fbe46cf08f525e78016feef83f4c38b79b337ba
CPU threads: 4; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-03-24_23:04:38
Comment 2 no where 2018-05-26 16:09:03 UTC
I have the same issue.

I think a more general solution should allow any data type that can be mapped to numeric range to be the value for an x/y-chart based on a pivot table.

What are the plans to implement this feature?
Comment 3 QA Administrators 2019-05-27 02:45:45 UTC
Dear Philippe Hemmel,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug